Subject: bug#49434: closed (Re: bug#49434: [PATCH 0/2] Update bootstrap tarballs)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 08 Jul 2021 06:46:02 +0000

Your bug report

#49434: [PATCH 0/2] Update bootstrap tarballs

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
49434: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=49434
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#49434: [PATCH 0/2] Update bootstrap tarballs
From: Efraim Flashner <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Thu, 8 Jul 2021 09:44:37 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, Jul 06, 2021 at 04:36:44PM +0200, Ludovic Courtès wrote:
> Hi!
> 
> s/bootstrap-tarballs/make-bootstrap/ in the commit’s subject line.
> 
> Efraim Flashner <[email-masked]> skribis:
> 
> > * gnu/packages/make-bootstrap.scm (gcc-for-bootstrap)[Inherit]: Inherit
> > from gcc-7.
> > [inputs]: Use package-inputs from gcc-7.
> > (package-with-relocatable-glibc)[native-inputs]: Have cross-gcc use
> > gcc-7.
> > (%gcc-static)[inherit]: Inherit from gcc-7.
> > [arguments]: Use package-arguments from gcc-7.
> > [inputs]: Replace isl-0.18 with isl. Use package-inputs from gcc-7.
> > [native-inputs]: Use package-native-inputs from gcc-7.
> > (%gcc-stripped)[inherit]: Inherit from gcc-7.
> 
> LGTM!  Unless I’m mistaken, this can go to ‘master’.
> 
> Ludo’.

That was certainly the plan. Something with less churn at that level
makes it easier to work against.

Patches pushed! Thanks.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

Subject: [PATCH 0/2] Update bootstrap tarballs
From: Efraim Flashner <[email-masked]>
To: [email-masked]
Cc: Efraim Flashner <[email-masked]>
Date: Tue, 6 Jul 2021 11:07:53 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

As part of the riscv64-linux bootstrap I found it necessary to update
the bootstrap tarballs. As part of the riscv64-linux patch series I will
put together a patch which changes (gnu packages bootstrap) to use
guile-3.0 when appropriate.

Efraim Flashner (2):
  gnu: bootstrap-tarballs: Build with gcc-7.
  gnu: bootstrap-tarballs: Use guile-3.0 bootstrap tarball.

 gnu/packages/make-bootstrap.scm | 32 ++++++++++++++------------------
 1 file changed, 14 insertions(+), 18 deletions(-)

base-commit: aa6e6fb2e9ea231d12d49a8925fddd8d2686ea94
-- 
2.32.0